Skip to main content
PATCH
/
extension
/
token
/
{id}
cURL
curl --request PATCH \
  --url https://api.useanima.sh/v1/extension/token/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

id
string
required

API key id of the extension token to update

Minimum string length: 1

Body

application/json

Request body for updating an individual extension token

authPolicy
enum<string>

Updated auth policy for this token

Available options:
session,
pre_approved,
prompt_owner
tokenTtl
enum<string>

Updated TTL for this token. Recomputes expiresAt from now.

Available options:
15m,
1h,
session

Response

200 - application/json

OK

Updated extension token metadata

id
string
required
authPolicy
enum<string>
required

How agents authenticate the browser extension

Available options:
session,
pre_approved,
prompt_owner
tokenTtl
enum<string>
required

How long the extension auth token stays valid

Available options:
15m,
1h,
session
expiresAt
string<date-time> | null
required